Summary: Script to enable serial console in all the right places.
Name: serialconsole
Version: 2.0
Release: 0.5
Group: Fermi
Copyright: GPL
Packager: Troy Dawson <dawson@fnal.gov>, Connie Sieh
Source: serialconsole.sh
requires : initscripts
BuildRoot: /var/tmp/serialconsole-build
BuildArch: noarch

%description
This package will install (and automatically run) the 'serialconsole'
script.  This script makes all the changes necessary to send
console output to both the serial port and the screen.  This
also creates a login prompt on the serial port and allows root
to login at this prompt.

%prep

%build

%install
cd ${RPM_SOURCE_DIR}
mkdir -p ${RPM_BUILD_ROOT}/usr/sbin
install -m 0700 serialconsole.sh ${RPM_BUILD_ROOT}/usr/sbin/serialconsole

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Run the script
/usr/sbin/serialconsole -d /dev/ttyS0 >> /tmp/serialconsole.install

%files
%attr(-,root,root) /usr/sbin/serialconsole
